## redis-py-cluster 1.3.3

=== Makefile ===
PATH := ./redis-git/src:${PATH}

# CLUSTER REDIS NODES
define REDIS_CLUSTER_NODE1_CONF
daemonize yes
port 7000
cluster-node-timeout 5000
pidfile /tmp/redis_cluster_node1.pid
logfile /tmp/redis_cluster_node1.log
save ""
appendonly no
cluster-enabled yes
cluster-config-file /tmp/redis_cluster_node1.conf
endef

define REDIS_CLUSTER_NODE2_CONF
daemonize yes
port 7001
cluster-node-timeout 5000
pidfile /tmp/redis_cluster_node2.pid
logfile /tmp/redis_cluster_node2.log
save ""
appendonly no
cluster-enabled yes
cluster-config-file /tmp/redis_cluster_node2.conf
endef

define REDIS_CLUSTER_NODE3_CONF
daemonize yes
port 7002
cluster-node-timeout 5000
pidfile /tmp/redis_cluster_node3.pid
logfile /tmp/redis_cluster_node3.log
save ""
appendonly no
cluster-enabled yes
cluster-config-file /tmp/redis_cluster_node3.conf
endef

define REDIS_CLUSTER_NODE4_CONF
daemonize yes
port 7003
cluster-node-timeout 5000
pidfile /tmp/redis_cluster_node4.pid
logfile /tmp/redis_cluster_node4.log
save ""
appendonly no
cluster-enabled yes
cluster-config-file /tmp/redis_cluster_node4.conf
endef

define REDIS_CLUSTER_NODE5_CONF
daemonize yes
port 7004
cluster-node-timeout 5000
pidfile /tmp/redis_cluster_node5.pid
logfile /tmp/redis_cluster_node5.log
save ""
appendonly no
cluster-enabled yes
cluster-config-file /tmp/redis_cluster_node5.conf
endef

define REDIS_CLUSTER_NODE6_CONF
daemonize yes
port 7005
cluster-node-timeout 5000
pidfile /tmp/redis_cluster_node6.pid
logfile /tmp/redis_cluster_node6.log
save ""
appendonly no
cluster-enabled yes
cluster-config-file /tmp/redis_cluster_node6.conf
endef

define REDIS_CLUSTER_NODE7_CONF
daemonize yes
port 7006
cluster-node-timeout 5000
pidfile /tmp/redis_cluster_node7.pid
logfile /tmp/redis_cluster_node7.log
save ""
appendonly no
cluster-enabled yes
cluster-config-file /tmp/redis_cluster_node7.conf
endef

define REDIS_CLUSTER_NODE8_CONF
daemonize yes
port 7007
cluster-node-timeout 5000
pidfile /tmp/redis_cluster_node8.pid
logfile /tmp/redis_cluster_node8.log
save ""
appendonly no
cluster-enabled yes
cluster-config-file /tmp/redis_cluster_node8.conf
endef


# CLUSTER REDIS PASSWORD PROTECTED NODES
define REDIS_CLUSTER_PASSWORD_PROTECTED_NODE1_CONF
daemonize yes
port 7100
cluster-node-timeout 5000
pidfile /tmp/redis_cluster_password_protected_node1.pid
logfile /tmp/redis_cluster_password_protected_node1.log
save ""
masterauth password_is_protected
requirepass password_is_protected
appendonly no
cluster-enabled yes
cluster-config-file /tmp/redis_cluster_password_protected_node1.conf
endef

define REDIS_CLUSTER_PASSWORD_PROTECTED_NODE2_CONF
daemonize yes
port 7101
cluster-node-timeout 5000
pidfile /tmp/redis_cluster_password_protected_node2.pid
logfile /tmp/redis_cluster_password_protected_node2.log
save ""
masterauth password_is_protected
requirepass password_is_protected
appendonly no
cluster-enabled yes
cluster-config-file /tmp/redis_cluster_password_protected_node2.conf
endef

define REDIS_CLUSTER_PASSWORD_PROTECTED_NODE3_CONF
daemonize yes
port 7102
cluster-node-timeout 5000
pidfile /tmp/redis_cluster_password_protected_node3.pid
logfile /tmp/redis_cluster_password_protected_node3.log
save ""
masterauth password_is_protected
requirepass password_is_protected
appendonly no
cluster-enabled yes
cluster-config-file /tmp/redis_cluster_password_protected_node3.conf
endef

define REDIS_CLUSTER_PASSWORD_PROTECTED_NODE4_CONF
daemonize yes
port 7103
cluster-node-timeout 5000
pidfile /tmp/redis_cluster_password_protected_node4.pid
logfile /tmp/redis_cluster_password_protected_node4.log
save ""
masterauth password_is_protected
requirepass password_is_protected
appendonly no
cluster-enabled yes
cluster-config-file /tmp/redis_cluster_password_protected_node4.conf
endef

define REDIS_CLUSTER_PASSWORD_PROTECTED_NODE5_CONF
daemonize yes
port 7104
cluster-node-timeout 5000
pidfile /tmp/redis_cluster_password_protected_node5.pid
logfile /tmp/redis_cluster_password_protected_node5.log
save ""
masterauth password_is_protected
requirepass password_is_protected
appendonly no
cluster-enabled yes
cluster-config-file /tmp/redis_cluster_password_protected_node5.conf
endef

define REDIS_CLUSTER_PASSWORD_PROTECTED_NODE6_CONF
daemonize yes
port 7105
cluster-node-timeout 5000
pidfile /tmp/redis_cluster_password_protected_node6.pid
logfile /tmp/redis_cluster_password_protected_node6.log
save ""
masterauth password_is_protected
requirepass password_is_protected
appendonly no
cluster-enabled yes
cluster-config-file /tmp/redis_cluster_password_protected_node6.conf
endef

define REDIS_CLUSTER_PASSWORD_PROTECTED_NODE7_CONF
daemonize yes
port 7106
cluster-node-timeout 5000
pidfile /tmp/redis_cluster_password_protected_node7.pid
logfile /tmp/redis_cluster_password_protected_node7.log
save ""
masterauth password_is_protected
requirepass password_is_protected
appendonly no
cluster-enabled yes
cluster-config-file /tmp/redis_cluster_password_protected_node7.conf
endef

define REDIS_CLUSTER_PASSWORD_PROTECTED_NODE8_CONF
daemonize yes
port 7107
cluster-node-timeout 5000
pidfile /tmp/redis_cluster_password_protected_node8.pid
logfile /tmp/redis_cluster_password_protected_node8.log
save ""
masterauth password_is_protected
requirepass password_is_protected
appendonly no
cluster-enabled yes
cluster-config-file /tmp/redis_cluster_password_protected_node8.conf
endef

ifndef REDIS_TRIB_RB
	REDIS_TRIB_RB=tests/redis-trib.rb
endif

ifndef REDIS_VERSION
	REDIS_VERSION=3.0.7
endif

export REDIS_CLUSTER_NODE1_CONF
export REDIS_CLUSTER_NODE2_CONF
export REDIS_CLUSTER_NODE3_CONF
export REDIS_CLUSTER_NODE4_CONF
export REDIS_CLUSTER_NODE5_CONF
export REDIS_CLUSTER_NODE6_CONF
export REDIS_CLUSTER_NODE7_CONF
export REDIS_CLUSTER_NODE8_CONF

export REDIS_CLUSTER_PASSWORD_PROTECTED_NODE1_CONF
export REDIS_CLUSTER_PASSWORD_PROTECTED_NODE2_CONF
export REDIS_CLUSTER_PASSWORD_PROTECTED_NODE3_CONF
export REDIS_CLUSTER_PASSWORD_PROTECTED_NODE4_CONF
export REDIS_CLUSTER_PASSWORD_PROTECTED_NODE5_CONF
export REDIS_CLUSTER_PASSWORD_PROTECTED_NODE6_CONF
export REDIS_CLUSTER_PASSWORD_PROTECTED_NODE7_CONF
export REDIS_CLUSTER_PASSWORD_PROTECTED_NODE8_CONF

help:
	@echo "Please use 'make <target>' where <target> is one of"
	@echo "  clean           remove temporary files created by build tools"
	@echo "  cleanmeta       removes all META-* and egg-info/ files created by build tools"
	@echo "  cleancov        remove all files related to coverage reports"
	@echo "  cleanall        all the above + tmp files from development tools"
	@echo "  test            run test suite"
	@echo "  sdist           make a source distribution"
	@echo "  bdist           make an egg distribution"
	@echo "  install         install package"
	@echo "  benchmark       runs all benchmarks. assumes nodes running on port 7001 and 7007"
	@echo " *** CI Commands ***"
	@echo "  start           starts a test redis cluster"
	@echo "  stop            stop all started redis nodes (Started via 'make start' only affected)"
	@echo "  cleanup         cleanup files after running a test cluster"
	@echo "  test            starts/activates the test cluster nodes and runs tox test"
	@echo "  tox             run all tox environments and combine coverage report after"
	@echo "  redis-install  checkout latest redis commit --> build --> install ruby dependencies"

clean:
	-rm -f MANIFEST
	-rm -rf dist/
	-rm -rf build/

cleancov:
	-rm -rf htmlcov/
	-coverage combine
	-coverage erase

cleanmeta:
	-rm -rf redis_py_cluster.egg-info/

cleanall: clean cleancov cleanmeta
	-find . -type f -name "*~" -exec rm -f "{}" \;
	-find . -type f -name "*.orig" -exec rm -f "{}" \;
	-find . -type f -name "*.rej" -exec rm -f "{}" \;
	-find . -type f -name "*.pyc" -exec rm -f "{}" \;
	-find . -type f -name "*.parse-index" -exec rm -f "{}" \;

sdist: cleanmeta
	python setup.py sdist

bdist: cleanmeta
	python setup.py bdist_egg

install:
	python setup.py install

start: cleanup
	echo "$$REDIS_CLUSTER_NODE1_CONF" | redis-server -
	echo "$$REDIS_CLUSTER_NODE2_CONF" | redis-server -
	echo "$$REDIS_CLUSTER_NODE3_CONF" | redis-server -
	echo "$$REDIS_CLUSTER_NODE4_CONF" | redis-server -
	echo "$$REDIS_CLUSTER_NODE5_CONF" | redis-server -
	echo "$$REDIS_CLUSTER_NODE6_CONF" | redis-server -
	echo "$$REDIS_CLUSTER_NODE7_CONF" | redis-server -
	echo "$$REDIS_CLUSTER_NODE8_CONF" | redis-server -

	echo "$$REDIS_CLUSTER_PASSWORD_PROTECTED_NODE1_CONF" | redis-server -
	echo "$$REDIS_CLUSTER_PASSWORD_PROTECTED_NODE2_CONF" | redis-server -
	echo "$$REDIS_CLUSTER_PASSWORD_PROTECTED_NODE3_CONF" | redis-server -
	echo "$$REDIS_CLUSTER_PASSWORD_PROTECTED_NODE4_CONF" | redis-server -
	echo "$$REDIS_CLUSTER_PASSWORD_PROTECTED_NODE5_CONF" | redis-server -
	echo "$$REDIS_CLUSTER_PASSWORD_PROTECTED_NODE6_CONF" | redis-server -
	echo "$$REDIS_CLUSTER_PASSWORD_PROTECTED_NODE7_CONF" | redis-server -
	echo "$$REDIS_CLUSTER_PASSWORD_PROTECTED_NODE8_CONF" | redis-server -

	sleep 5
	echo "yes" | ruby $(REDIS_TRIB_RB) create --replicas 1 127.0.0.1:7000 127.0.0.1:7001 127.0.0.1:7002 127.0.0.1:7003 127.0.0.1:7004 127.0.0.1:7005

	sleep 5
	echo "yes" | ruby $(REDIS_TRIB_RB) create --replicas 1 --password password_is_protected 127.0.0.1:7100 127.0.0.1:7101 127.0.0.1:7102 127.0.0.1:7103 127.0.0.1:7104 127.0.0.1:7105

	sleep 5

cleanup:
	- rm -vf /tmp/redis_cluster_node*.conf 2>/dev/null
	- rm -vf /tmp/redis_cluster_password_protected_node*.conf 2>/dev/null
	- rm dump.rdb appendonly.aof - 2>/dev/null

stop:
	kill `cat /tmp/redis_cluster_node1.pid` || true
	kill `cat /tmp/redis_cluster_node2.pid` || true
	kill `cat /tmp/redis_cluster_node3.pid` || true
	kill `cat /tmp/redis_cluster_node4.pid` || true
	kill `cat /tmp/redis_cluster_node5.pid` || true
	kill `cat /tmp/redis_cluster_node6.pid` || true
	kill `cat /tmp/redis_cluster_node7.pid` || true
	kill `cat /tmp/redis_cluster_node8.pid` || true

	kill `cat /tmp/redis_cluster_password_protected_node1.pid` || true
	kill `cat /tmp/redis_cluster_password_protected_node2.pid` || true
	kill `cat /tmp/redis_cluster_password_protected_node3.pid` || true
	kill `cat /tmp/redis_cluster_password_protected_node4.pid` || true
	kill `cat /tmp/redis_cluster_password_protected_node5.pid` || true
	kill `cat /tmp/redis_cluster_password_protected_node6.pid` || true
	kill `cat /tmp/redis_cluster_password_protected_node7.pid` || true
	kill `cat /tmp/redis_cluster_password_protected_node8.pid` || true

	rm -f /tmp/redis_cluster_node1.conf
	rm -f /tmp/redis_cluster_node2.conf
	rm -f /tmp/redis_cluster_node3.conf
	rm -f /tmp/redis_cluster_node4.conf
	rm -f /tmp/redis_cluster_node5.conf
	rm -f /tmp/redis_cluster_node6.conf
	rm -f /tmp/redis_cluster_node7.conf
	rm -f /tmp/redis_cluster_node8.conf

	rm -f /tmp/redis_cluster_password_protected_node1.conf
	rm -f /tmp/redis_cluster_password_protected_node2.conf
	rm -f /tmp/redis_cluster_password_protected_node3.conf
	rm -f /tmp/redis_cluster_password_protected_node4.conf
	rm -f /tmp/redis_cluster_password_protected_node5.conf
	rm -f /tmp/redis_cluster_password_protected_node6.conf
	rm -f /tmp/redis_cluster_password_protected_node7.conf
	rm -f /tmp/redis_cluster_password_protected_node8.conf

test:
	make start
	make tox
	make stop

tox:
	coverage erase
	tox
	TEST_PASSWORD_PROTECTED=1 tox
	coverage combine
	coverage report

clone-redis:
	[ ! -e redis-git ] && git clone https://github.com/antirez/redis.git redis-git || true
	cd redis-git && git checkout $(REDIS_VERSION)

redis-install:
	make clone-redis
	make -C redis-git -j4
	gem install redis
	sleep 3

benchmark:
	@echo ""
	@echo " -- Running Simple benchmark with StrictRedis lib and non cluster server --"
	python benchmarks/simple.py --port 7007 --timeit --nocluster
	@echo ""
	@echo " -- Running Simple benchmark with StrictRedisCluster lib and cluster server --"
	python benchmarks/simple.py --port 7001 --timeit
	@echo ""
	@echo " -- Running Simple benchmark with pipelines & StrictRedis lib and non cluster server --"
	python benchmarks/simple.py --port 7007 --timeit --pipeline --nocluster
	@echo ""

=== requirements.txt ===
redis>=2.10.2

=== debian/changelog ===
redis-py-cluster (1.3.3-1) unstable; urgency=medium

  * Initial release. (Closes: #851255)

 -- Nicolas Dandrimont <olasd@debian.org>  Fri, 13 Jan 2017 15:51:41 +0100

=== debian/control ===
Source: redis-py-cluster
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-hiredis,
               python-redis,
               python-setuptools,
               python3-all,
               python3-hiredis,
               python3-redis,
               python3-setuptools,
               python3-sphinx
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/redis-py-cluster.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/redis-py-cluster.git
Homepage: http://redis-py-cluster.readthedocs.io/

Package: python-rediscluster
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Description: Python interface to a cluster of Redis key-value stores - Python 2.X
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 redis-py-cluster provides Python bindings to Redis Cluster, the distributed
 implementation of the Redis key-value store, available upstream since Redis
 3.0.
 .
 This package provides the Python 2 version of the rediscluster module.

Package: python3-rediscluster
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python interface to a cluster of Redis key-value stores
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 redis-py-cluster provides Python bindings to Redis Cluster, the distributed
 implementation of the Redis key-value store, available upstream since Redis
 3.0.
 .
 This package provides the Python 3 version of the rediscluster module.

Package: python-rediscluster-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python interface to a cluster of Redis key-value stores - Documentation
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 redis-py-cluster provides Python bindings to Redis Cluster, the distributed
 implementation of the Redis key-value store, available upstream since Redis
 3.0.
 .
 This package provides the documentation for the rediscluster module

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=rediscluster

# tests need setting up redis: disable
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs build/html

## redis-py-cluster 2.0.0

=== Makefile ===
--- 
+++ 
@@ -216,7 +216,7 @@
 endif
 
 ifndef REDIS_VERSION
-	REDIS_VERSION=3.0.7
+	REDIS_VERSION=5.0.5
 endif
 
 export REDIS_CLUSTER_NODE1_CONF
@@ -378,12 +378,12 @@
 
 benchmark:
 	@echo ""
-	@echo " -- Running Simple benchmark with StrictRedis lib and non cluster server --"
+	@echo " -- Running Simple benchmark with Redis lib and non cluster server --"
 	python benchmarks/simple.py --port 7007 --timeit --nocluster
 	@echo ""
-	@echo " -- Running Simple benchmark with StrictRedisCluster lib and cluster server --"
+	@echo " -- Running Simple benchmark with RedisCluster lib and cluster server --"
 	python benchmarks/simple.py --port 7001 --timeit
 	@echo ""
-	@echo " -- Running Simple benchmark with pipelines & StrictRedis lib and non cluster server --"
+	@echo " -- Running Simple benchmark with pipelines & Redis lib and non cluster server --"
 	python benchmarks/simple.py --port 7007 --timeit --pipeline --nocluster
 	@echo ""

=== requirements.txt ===
redis>=3.0.0,<3.1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/redis-py-cluster.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/redis-py-cluster.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/redis-py-cluster"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/redis-py-cluster"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
redis-py-cluster (2.0.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-rediscluster-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 18:59:38 -0400

redis-py-cluster (2.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * New upstream release.
    + Compatible with new python-redis (Closes: #915895).
  * Drop Python 2 support (Closes: #938344).

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 21 Sep 2019 13:54:43 +0500

=== debian/control ===
Source: redis-py-cluster
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-hiredis,
               python3-redis,
               python3-setuptools,
               python3-sphinx
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/python-team/packages/redis-py-cluster.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/redis-py-cluster
Homepage: https://redis-py-cluster.readthedocs.io/

Package: python3-rediscluster
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python interface to a cluster of Redis key-value stores
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 redis-py-cluster provides Python bindings to Redis Cluster, the distributed
 implementation of the Redis key-value store, available upstream since Redis
 3.0.
 .
 This package provides the Python 3 version of the rediscluster module.

Package: python-rediscluster-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Python interface to a cluster of Redis key-value stores - Documentation
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 redis-py-cluster provides Python bindings to Redis Cluster, the distributed
 implementation of the Redis key-value store, available upstream since Redis
 3.0.
 .
 This package provides the documentation for the rediscluster module

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=rediscluster

# tests need setting up redis: disable
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs build/html

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%redis-py-cluster-$1.tar.gz%" \
             https://github.com/Grokzen/redis-py-cluster/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
